import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyEditTimeRange = createAsyncThunk(
  "PROVINCE_POLICY_EDIT_TIME_RANGE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("time-range/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
